%define upstream_name Dist-Zilla-Plugin-TravisCI
%define upstream_version 0.014

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Integrating the generation of .travis.yml into your dzil
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Dist/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Beam::Event)
BuildRequires: perl(Dist::Zilla) >= 4.300.34
#BuildRequires: perl(Dist::Zilla::Plugin::Beam::Connector)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Path::Tiny) >= 0.12.0
BuildRequires: perl(Test::DZil)
BuildRequires: perl(Test::More)
BuildRequires: perl(Test::Requires)
BuildRequires: perl(YAML) >= 1.140.0
BuildArch:  noarch

%description
Integrating the generation of .travis.yml into your dzil.

%prep
%autosetup -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*

%changelog
* Sun Dec 27 2020 tv <tv> 0.14.0-1.mga8
+ Revision: 1664205
- revert BRs removal by "magpie up"
- update to 0.014

* Sat Feb 15 2020 umeabot <umeabot> 0.13.0-2.mga8
+ Revision: 1528666
- Mageia 8 Mass Rebuild

* Mon Aug 26 2019 tv <tv> 0.13.0-1.mga8
+ Revision: 1432378
- update to 0.013

* Sat Oct 20 2018 tv <tv> 0.11.0-1.mga7
+ Revision: 1322657
- update to 0.011

* Wed Sep 19 2018 umeabot <umeabot> 0.10.0-2.mga7
+ Revision: 1267703
- Mageia 7 Mass Rebuild

* Sun May 08 2016 shlomif <shlomif> 0.10.0-1.mga6
+ Revision: 1010999
- New version 0.010

* Thu Apr 28 2016 shlomif <shlomif> 0.9.0-1.mga6
+ Revision: 1007596
- update to 0.009

* Fri Feb 19 2016 umeabot <umeabot> 0.8.0-2.mga6
+ Revision: 968220
- Mageia 6 Mass Rebuild

* Sun Jul 05 2015 sander85 <sander85> 0.8.0-1.mga6
+ Revision: 851629
- imported package perl-Dist-Zilla-Plugin-TravisCI

